PyDL:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- pydl v0.7.0 »
- SDSS Imaging Data (`pydl.photoop`) »
- sdss_name

# sdss_name

`pydl.photoop.sdssio.``sdss_name`(ftype, run, camcol, field, rerun='', thisfilter='r', no_path=False)

  Return the name of an SDSS data file including path.

  Parameters:

  ftype : `str`

  > The general type of the file, for example `'reObj'`

  run : `int`

  > The run number.

  camcol : `int`

  > The camcol number.

  field : `int`

  > The field number

  rerun : `str`, optional

  > If necessary, set the rerun name using this argument.

  thisfilter : `int` or `str`, optional

  > If necessary, set the filter using this argument.

  no_path : `bool`, optional

  > Normally, sdss_name returns the full path. If `no_path` is `True`, only the basename of the file is returned.

  Returns:

  `str`

  > The full file name, normally including the full path.

  Raises:

  :exc:`KeyError`

  > If the file type is unknown.